Bug 13593 - 'Stock number' should be 'Inventory number'
Summary: 'Stock number' should be 'Inventory number'
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-18 19:02 UTC by Katrin Fischer
Modified: 2015-12-03 22:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13593: 'stock number' should be 'inventory number' (3.78 KB, patch)
2015-01-18 19:37 UTC, Katrin Fischer
Details | Diff | Splinter Review
[Signed-off] Bug 13593: 'stock number' should be 'inventory number' (4.04 KB, patch)
2015-02-18 17:48 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13593: 'stock number' should be 'inventory number' (4.02 KB, patch)
2015-02-19 14:53 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13593: (follow-up) 'stock number' should be 'inventory number' (1.49 KB, patch)
2015-02-19 14:53 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-01-18 19:02:09 UTC
We should be consistent in how we use terms in Koha, there are some cases where we use 'stock number' instead of 'inventory number'. Jonathan identified some places that need to be fixed in bug 13564:

2 for the item search feature:
koha-tmpl/intranet-tmpl/prog/en/includes/catalogue/itemsearch_items.inc:      [% INCLUDE itemsearch_header name='stocknumber' label='stock number' text='Stock number' %]
koha-tmpl/intranet-tmpl/prog/en/modules/catalogue/itemsearch.csv.tt:Title, Publication Date, Publisher, Collection, Barcode, Call number, Home library, Current location, Shelving location, Stock number, Status, Checkouts

and 3 others:
koha-tmpl/intranet-tmpl/prog/en/modules/acqui/neworderempty.tt:                          <th>Stock number</th>
koha-tmpl/intranet-tmpl/prog/en/modules/acqui/orderreceive.tt:                            <th>Stock number</th>
koha-tmpl/intranet-tmpl/prog/en/modules/acqui/orderreceive.tt:                            <th>Stock number</th>
Comment 1 Katrin Fischer 2015-01-18 19:26:19 UTC
Failing to trigger this one:
koha-tmpl/intranet-tmpl/prog/en/includes/catalogue/itemsearch_items.inc:      [% INCLUDE itemsearch_header name='stocknumber' label='stock number' text='Stock number' %]
Comment 2 Katrin Fischer 2015-01-18 19:37:03 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-01-19 09:16:18 UTC
(In reply to Katrin Fischer from comment #1)
> Failing to trigger this one:
> koha-tmpl/intranet-tmpl/prog/en/includes/catalogue/itemsearch_items.inc:    
> [% INCLUDE itemsearch_header name='stocknumber' label='stock number'
> text='Stock number' %]

Julian,
Could you please have a look? It seems that the script catalogue/itemsearch.pl is never caller with format="html".
Actually the html value is set in the form, but it is DT that calls the script with format="json".
Comment 4 Julian Maurice 2015-02-11 07:40:02 UTC
(In reply to Jonathan Druart from comment #3) 
> Julian,
> Could you please have a look? It seems that the script
> catalogue/itemsearch.pl is never caller with format="html".
> Actually the html value is set in the form, but it is DT that calls the
> script with format="json".

format="html" is a fallback mode for when javascript is disabled.
Try disabling JS and reload the page.
Comment 5 Marc Véron 2015-02-18 17:48:56 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2015-02-19 14:53:49 UTC
Created attachment 36041 [details] [review]
Bug 13593: 'stock number' should be 'inventory number'

To make Koha easier to use, we should use terms consistently.
This patch fixes some occurrences of 'stock number' to be
'inventory number' as this is also the term used in the frameworks.

Item search, accessible via the link from staff's advanced search
1) Do a search for items, but choose CSV as output
2) Verify that the header row says 'inventory number'

Acquisition
3) Set AcqCreateItem to 'order'
4) Create a new order, check the labels on the item table in the order

5) Receive the order, check the labels on the item table on receive

6) Set AcqCreateItem to 'receive'
7) Check the item table on receiving an order

Followed test plan (including item search with JavaScipt disabled). Headers / labels display as expected.

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 7 Jonathan Druart 2015-02-19 14:53:53 UTC
Created attachment 36042 [details] [review]
Bug 13593: (follow-up) 'stock number' should be 'inventory number'

Add one more.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 8 Tomás Cohen Arazi 2015-02-20 14:15:24 UTC
Patches pushed to master.

Thanks Katrina!
Comment 9 Chris Cormack 2015-02-22 23:13:15 UTC
String changes, held for 3.18.5
Comment 10 Chris Cormack 2015-03-01 02:30:52 UTC
Pushed to 3.18.x will be in 3.18.5